<?php
/*
main.php
:tabSize=2:indentSize=2:noTabs=true:
:folding=explicit:collapseFolds=1:

Copyright (C) 2007 Ian Lewis (IanLewis@member.fsf.org)
Copyright (C) Gallery 2.0 Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
Optionally, you may find a copy of the GNU General Public License
from http://www.fsf.org/copyleft/gpl.txt
*/
 
//**** UPDATE THIS PATH TO POINT TO YOUR B2EVOLUTION CONFIG FILE ****
require_once '../conf/_config.php';
require_once $inc_path.'_main.inc.php';

// print "ID: ".$current_User->get('ID');

global $Plugins, $basepath;
if (isset($Plugins)) {
$gallery2sso = $Plugins->get_by_code('evo_gallery2_auth');

if (!empty($gallery2sso)) {

$gallerypath = $gallery2sso->get_gallery_path();

require_once($gallerypath.'embed.php');

$data = runGallery($gallery2sso);
$data['title'] = (isset($data['title']) && !empty($data['title'])) ? $data['title'] : 'Gallery';

if (isset($data['bodyHtml'])) {
print <<<EOF
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
<title>{$data['title']}</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
{$data['javascript']}
{$data['css']}
</head>

<body class="gallery">
{$data['bodyHtml']}
</body>
</html>
EOF;
}

} else {
  print("Gallery single sign on must be installed and enabled to run this script.");
}

} else {
  print("FATAL ERROR: b2evolution plugins not initialized.");
}

function runGallery($gallery2sso) {
  global $current_User, $baseurl, $current_locale, $gallery;
  
  $data = array();
	
  // initiate G2 
  $ret = $gallery2sso->gallery2_init($gallery2sso->Settings->get('useSSO'));
  if ($ret) {
    $data['bodyHtml'] = $ret->getAsHtml();
    return $data;
  }
  
  // user interface: you could disable sidebar in G2 and get it as separate HTML to put it into a block
  //GalleryCapabilities::set('showSidebarBlocks', false);
  
  //you could allow the login link with this command
  //GalleryCapabilities::set('login', true);
  
  // handle the G2 request
  $g2moddata = GalleryEmbed::handleRequest();

  // show error message if isDone is not defined
  if (!isset($g2moddata['isDone'])) {
    $data['bodyHtml'] = 'isDone is not defined, something very bad must have happened.';
    return $data;
  }
  // exit if it was an immediate view / request (G2 already outputted some data)
  if ($g2moddata['isDone']) {
    exit;
  }
 
  // put the body html from G2 into the xaraya template 
  $data['bodyHtml'] = isset($g2moddata['bodyHtml']) ? $g2moddata['bodyHtml'] : '';

  // get the page title, javascript and css links from the <head> html from G2
  $title = ''; $javascript = array();	$css = array();

  if (isset($g2moddata['headHtml'])) {
    list($data['title'], $css, $javascript) = GalleryEmbed::parseHead($g2moddata['headHtml']);
    $data['headHtml'] = $g2moddata['headHtml'];
  }
  
  
  /* Add G2 javascript  */
  $data['javascript'] = '';
  if (!empty($javascript)) {
    foreach ($javascript as $script) {
      $data['javascript'] .= "\n".$script;
    }
  }

  /* Add G2 css  */
  $data['css'] = '';
  if (!empty($css)) {
    foreach ($css as $style) {
      $data['css'] .= "\n".$style;
    }
  }

  // sidebar block
  if (isset($g2moddata['sidebarBlocksHtml']) && !empty($g2moddata['sidebarBlocksHtml'])) {
    $data['sidebarHtml'] = $g2moddata['sidebarBlocksHtml'];
  }
    
  return $data;
}


?>
